REST API v1
Approvals
Base URL https://your-site.com/wp-json/cliedesk-api/v1. See the overview for keys, scopes and errors.
List approval requests
GET /approvals
Scope approvals:read · Cost 1
Parameters
| Name | Type | Description |
|---|---|---|
filter | query · string | One of: to_decide, mine, conversation, all |
conversation_id | query · string | |
status | query · string | One of: pending, approved, rejected, withdrawn, expired |
limit | query · integer |
Get an approval request
GET /approvals/{id}
Scope approvals:read · Cost 1
Parameters
| Name | Type | Description |
|---|---|---|
id required | path · string |